%define ver_major 2.4
%define gnome_distributor "%vendor"
%define gnome_date "`date +%B" "%e" "%Y"\, "Moscow`"

%def_without static

Name: gnome-desktop
Version: %ver_major.1.1
Release: alt2

Summary: The gnome desktop programs for the GNOME GUI desktop environment
License: LGPL
Group: Graphical desktop/GNOME
Url: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Source1: gnome-about.png
Icon: gnome-desktop-icon.xpm

%define gtk_ver 2.2.4
%define libgnomeui_ver 2.4.0
%define gnome_vfs_ver 2.4.1
%define libgnomecanvas_ver 2.4.0
%define yelp_ver 2.4.1
%define startup_notification_ver 0.5
%define gnome_common_ver 2.3.0

Requires: lib%name = %version-%release
Requires: libgtk+2 >= %gtk_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: gnome-vfs2 >= %gnome_vfs_ver
Requires: libgnomecanvas >= %libgnomecanvas_ver
Requires: libstartup-notification >= %startup_notification_ver
Requires: yelp >= %yelp_ver
Requires: menu gnome2-user-docs

Conflicts: gnome-core

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: libgnomecanvas-devel >= %libgnomecanvas_ver
BuildPreReq: libstartup-notification-devel >= %startup_notification_ver
BuildPreReq: gnome-common >= %gnome_common_ver

# Automatically added by buildreq on Wed Sep 03 2003
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound-devel fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libalsa-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg-devel libpango-devel libpopt-devel libssl-devel libstartup-notification-devel libstdc++-devel libxml2-devel libxslt pkgconfig scrollkeeper zlib-devel

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  GNOME is similar in purpose and
scope to CDE and KDE, but GNOME is based completely on free
software.  The %name package includes the basic programs and
libraries that are needed to install GNOME.

GNOME Desktop provides the core icons and libraries for the gnome
desktop.

%package -n lib%name
Summary: GNOME desktop core libraries
Group: Graphical desktop/GNOME

Icon: gnome-desktop-icon-l.xpm

Requires: libgtk+2 >= %gtk_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: gnome-vfs2 >= %gnome_vfs_ver
Requires: libgnomecanvas >= %libgnomecanvas_ver

%description -n lib%name
Gnome 2 desktop libraries.

%package -n lib%name-devel
Summary: GNOME desktop develop libraries and includes
Group: Development/GNOME and GTK+

Icon: gnome-desktop-icon-d.xpm

Requires: lib%name = %version-%release
Requires: libgtk+2-devel >= %gtk_ver
Requires: libgnomeui-devel >= %libgnomeui_ver
Requires: gnome-vfs2-devel >= %gnome_vfs_ver
Requires: libgnomecanvas-devel >= %libgnomecanvas_ver
Requires: libstartup-notification-devel >= %startup_notification_ver

%description -n lib%name-devel
Gnome 2 desktop libraries and header files for creating GNOME panels.

%package -n lib%name-devel-static
Summary: GNOME desktop develop libraries and includes
Group: Development/GNOME and GTK+
Requires: lib%name-devel = %version-%release

Icon: gnome-desktop-icon-ds.xpm

%description -n lib%name-devel-static
Gnome 2 desktop static libraries for creating GNOME panels.

%prep
%setup -q

%build
%__rm -f missing
%__libtoolize --copy --force
%__aclocal -I %_datadir/aclocal/gnome2-macros
%__autoheader
%__automake -a -c -f
%__autoconf

%configure \
    --with-gnome-distributor=%gnome_distributor \
    --with-gnome-date=%gnome_date

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# Menu
%__install -p -m644 %SOURCE1 %buildroot%_datadir/pixmaps/
%__mkdir_p %buildroot%_menudir

%__cat << __MENU__ > %buildroot%_menudir/%name
?package(%name): command="%_bindir/gnome-about" \
icon="%_datadir/pixmaps/gnome-about.png" \
longtitle="About Gnome desktop" title="About Gnome" \
needs="gnome" section="Documentation"
__MENU__

%__mkdir_p %buildroot%_datadir/gnome/distribution-menus/ALTLinux
%__mkdir_p %buildroot%_datadir/applications

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%if_without static
%__rm -f %buildroot%_libdir/*.a
%endif

%find_lang --with-gnome --output=%name-2.0.lang %name-2.0 fdl gnome-feedback gpl lgpl

%post
%update_menus
%postun
%clean_menus

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %post_ldconfig

%files
%_bindir/*
%dir %_datadir/applications
%dir %_datadir/gnome
%dir %_datadir/gnome/help
%dir %_datadir/gnome/distribution-menus
%_datadir/gnome/distribution-menus/*
%dir %_datadir/gnome/vfolders
%_datadir/gnome/vfolders/*
%_datadir/gnome-about
%_datadir/pixmaps/*
%_menudir/*
%_man1dir/*
%doc AUTHORS ChangeLog NEWS README

%files -n lib%name -f %name-2.0.lang
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%if_with static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1.1-alt2
- do not package .la files.
- do not build devel-static subpackage by default.

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1.1-alt1
- 2.4.1.1

* Wed Sep 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed Sep 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.90-alt1
- 2.3.90

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6.1-alt1
- 2.3.6.1

* Wed Jul 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Sat Jul 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3.1-alt1
- 2.3.3.1

* Sun Jun 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Wed May 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Mon May 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Sun Mar 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Thu Mar 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt1
- 2.2.0.1

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.90-alt1
- 2.1.90

* Tue Dec 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Tue Dec 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Thu Nov 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Mon Nov 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Fri Oct 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Fri Sep 27 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.8-alt2
- yelp and gnome2-user-docs added to requires list.

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.8-alt1
- 2.0.8

* Thu Jun 20 2002 Igor Androsov <blake@altlinux.ru> 2.0.1-alt1
- Initial build for AltLinux
  (aris)
    + %name-devel{,-static} renamed to lib%name-devel{,-static}.
    + post{,un} sections fixed.
    + build process fixed (SMP compatible build).
- Fixes from Yuri Sedunov <aris@altlinux.ru>
    + sawfish2 added to requires list
    + replace command by macros
    + cleaup spec

* Tue Mar 05 2002 Chris Chabot <chabotc@reviewboard.com>
- Fixed remaining formating issues
- converted to .spec.in

* Sun Feb 15 2002 Chris Chabot <chabotc@reviewboard.com>
- initial spec file for gnome-desktop
